longrun.
Retry a run

Docs

Runs / Retry a run

Retry a run

Submit a new run from an eligible failed or cancelled run.

POSThttps://uselongrun.app/v1/runs/{run_id}/retry
Request
curl --request POST "https://uselongrun.app/v1/runs/${RUN_ID}/retry" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

path
idstringRequired

The run ID to use. Copy the id returned when you submitted the run, or from Runs. This is not a file ID. Replace {id} in the URL with that value.

Example
"${RUN_ID}"

Returns

Returns 202 Accepted with a run ID. Processing continues after the response. Retrieve the run until its status is completed, failed, or cancelled.

Retrieve a run →